Page MenuHomePhabricator

browsertests: triggers for MobileFrontend
Closed, ResolvedPublic

Description

The browser tests for MobileFrontend should be triggered by Gerrit just like it is going to be the case for ULS (T54120) or VisualEditor (T55691).

The tests need to be carefully filtered out since they are expecting content or behavior which are not to be found on a freshly installed wiki.

CC:

  • Zeljkof our Selenium Guru
  • Arthur our Mobile scrum master

Version: wmf-deployment
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=53691
https://bugzilla.wikimedia.org/show_bug.cgi?id=52120

Details

Reference
bz57560

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:17 AM
bzimport set Reference to bz57560.

Change 97497 had a related patch set uploaded by Hashar:
browsertests: profile for default settings

https://gerrit.wikimedia.org/r/97497

Most of the tests do not work against a freshly installed wiki. Either because of Watir timeout or because the test is expecting something which is only on some specific wiki.

The features definition need a bunch of improvements before we can trigger the tests from Gerrit.

Patchset 9 of https://gerrit.wikimedia.org/r/#/c/97497/ pass on a fresh wiki with mobilefrontend having no specific configuration. That is done by ignoring any scenario relying on a specific feature/setting on the target wiki.

Change 97497 abandoned by Hashar:
QA: profile for default settings

Reason:
Indeed those preferences have been moved elsewhere (mediawiki selenium gem).

https://gerrit.wikimedia.org/r/97497

greg added a comment.Jul 15 2014, 8:17 PM

Adding Dan to this bug as his work on MF tests in Vagrant will probably inform some of this.

demon removed a subscriber: demon.Dec 16 2014, 6:05 PM
hashar updated the task description. (Show Details)Mar 24 2015, 2:45 PM
hashar set Security to None.
hashar closed this task as Declined.Mar 24 2015, 2:50 PM

We do not have the capacity yet to had browser tests on patchset proposals. The VE (T55691) and ULS (T54120) jobs have been removed because they were too slow and ill conceived.

We will revisit it when we have improved the browser test speed (ex: T92613: It takes about 20 seconds just to start a Sauce Labs browser) and most importantly the CI isolation project which will provide us fresh VM to install all of what we need ensuring a clean environment.

I guess when we are ready we will poke the parent task T55697: [EPIC] trigger browser tests from Gerrit (tracking).

Jdlrobson changed the task status from Declined to Resolved.Aug 20 2015, 4:39 AM
Jdlrobson added a subscriber: Jdlrobson.

Reflecting the true state.